2004-09-29 10:16  eibe

	* weka/classifiers/bayes/net/BIFReader.java (1.5): Made getNode()
	method public because FromFile didn't compile.

2004-09-28 15:42  cvs_rrb

	* weka/classifiers/bayes/net/search/fixed/FromFile.java (1.4): Make
	insensitive to order of nodes in BIF file

2004-09-28 14:48  cvs_rrb

	* weka/classifiers/bayes/net/BIFReader.java (1.4): Synchronize
	order of Bayesnet before comparing

2004-09-24 09:39  eibe

	* weka/filters/unsupervised/instance/RemoveRange.java (1.3):
	Cosmetic changes to docs.

2004-09-02 18:13  eibe

	* weka/classifiers/trees/Id3.java (1.13): Cosmetic formatting
	changes.

2004-09-02 17:57  eibe

	* weka/core/Instance.java (1.18): Added method hasMissingValues.

2004-09-02 17:56  eibe

	* weka/classifiers/trees/Id3.java (1.12): Added check for missing
	values into distributionForInstance and classifyInstance.

2004-08-30 11:40  mhall

	* weka/gui/beans/: ClassValuePicker.java (1.3), Classifier.java
	(1.16), ClassifierPerformanceEvaluator.java (1.9): Some small
	changes

2004-08-30 11:39  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.78): Removed some
	debugging output

2004-08-24 11:06  mhall

	* weka/gui/beans/icons/: ClustererPerformanceEvaluator.gif (1.1),
	ClustererPerformanceEvaluator_animated.gif (1.1),
	DefaultClusterer.gif (1.1), DefaultClusterer_animated.gif (1.1):
	Initial import

2004-08-24 11:01  mhall

	* weka/gui/beans/: Beans.props (1.10), PredictionAppender.java
	(1.8): Updated to handle clusterers

2004-08-24 10:59  mhall

	* weka/gui/beans/: BatchClustererEvent.java (1.1),
	BatchClustererListener.java (1.1), Clusterer.java (1.1),
	ClustererBeanInfo.java (1.1), ClustererCustomizer.java (1.1),
	ClustererPerformanceEvaluator.java (1.1),
	ClustererPerformanceEvaluatorBeanInfo.java (1.1),
	SaverBeanInfo.java (1.1), SaverCustomizer.java (1.1): Initial
	import

2004-08-23 14:09  mhall

	* weka/gui/beans/icons/: DefaultEvaluator.gif (1.2),
	DefaultEvaluator_animated.gif (1.2): adjusted size

2004-08-23 11:34  mhall

	* weka/gui/GenericObjectEditor.props (1.105): Added database loader
	and saver

2004-08-23 11:23  mhall

	* weka/gui/beans/icons/: DefaultTrainTest.gif (1.2),
	DefaultTrainTest_animated.gif (1.2): Now sized the same as the
	other icons

2004-08-20 17:41  akibriya

	* weka/classifiers/trees/UserClassifier.java (1.18): Made a few
	variable transient so that the classifier can be serialized.

2004-08-20 09:41  mhall

	* weka/associations/: CARuleMiner.java (1.1), CaRuleGeneration.java
	(1.1), LabeledItemSet.java (1.1): Initial import

2004-08-19 14:45  mhall

	* weka/: gui/GenericObjectEditor.props (1.104),
	gui/experiment/AlgorithmListPanel.java (1.7),
	gui/experiment/SetupPanel.java (1.22),
	gui/explorer/ClassifierPanel.java (1.77),
	gui/explorer/PreprocessPanel.java (1.50), associations/Apriori.java
	(1.18), associations/PredictiveApriori.java (1.2),
	associations/PriorEstimation.java (1.3),
	experiment/DatabaseUtils.props (1.4): Changes to reflect the
	rearangement of Stefan's stuff

2004-08-19 14:43  mhall

	* weka/gui/beans/: CSVDataSink.java (1.2), CSVDataSinkBeanInfo.java
	(1.2): No longer needed

2004-08-19 11:23  mhall

	* weka/associations/classification/: CrList.java (1.2),
	CrListElement.java (1.2), CrNode.java (1.2), CrTree.java (1.2),
	JCBAPruning.java (1.2), PrecedencePruning.java (1.2), PruneCAR.java
	(1.2): Removed to become part of a standalone jar file

2004-08-19 11:20  mhall

	* weka/classifiers/rules/car/utils/Stopwatch.java (1.2): Removed in
	order to be placed in a standalone jar file

2004-08-19 11:17  mhall

	* weka/classifiers/rules/car/: CarClassifier.java (1.2), JCBA.java
	(1.4), WeightedClassifier.java (1.3): Removed in order to be placed
	in a standalone jar file

2004-08-19 11:13  mhall

	* weka/associations/classification/: CARuleMiner.java (1.3),
	CaRuleGeneration.java (1.2), CarApriori.java (1.3),
	CarPredictiveApriori.java (1.3), LabeledItemSet.java (1.2): Removed
	in order to be placed in a standalone jar file

2004-08-19 11:02  eibe

	* weka/classifiers/meta/Vote.java (1.7): Now doesn't throw an
	exception when applied to regression problems.

2004-08-19 10:56  mhall

	* weka/gui/beans/Saver.java (1.1): Initial import

2004-08-19 10:53  mhall

	* weka/gui/GenericObjectEditor.props (1.103): Added Savers

2004-08-17 09:53  mhall

	* weka/gui/beans/: AbstractDataSink.java (1.4), Beans.props (1.9),
	ClassAssigner.java (1.9), Classifier.java (1.15), Filter.java
	(1.11), Loader.java (1.10), LoaderCustomizer.java (1.7),
	PredictionAppender.java (1.7): Changes by Stefan

2004-08-17 09:43  mhall

	* weka/core/converters/: AbstractSaver.java (1.2), ArffLoader.java
	(1.9), ArffSaver.java (1.2), C45Loader.java (1.9), C45Saver.java
	(1.2), CSVLoader.java (1.9), CSVSaver.java (1.2),
	FileSourcedConverter.java (1.2), Saver.java (1.2),
	SerializedInstancesLoader.java (1.9), SerializedInstancesSaver.java
	(1.2): Changes by Stefan

2004-08-17 09:42  mhall

	* weka/core/converters/: AbstractFileSaver.java (1.1),
	DatabaseConnection.java (1.1), DatabaseConverter.java (1.1),
	DatabaseLoader.java (1.1), DatabaseSaver.java (1.1): Initial import

2004-08-10 15:43  akibriya

	* weka/filters/unsupervised/attribute/RandomProjection.java (1.3):
	Changed a few comments so that they make a bit more sense.

2004-08-10 12:27  akibriya

	* weka/classifiers/lazy/LWL.java (1.11): Added new weighting
	functions and sped up the calculation of distance.

2004-07-28 19:27  akibriya

	* weka/gui/GenericArrayEditor.java (1.13): Fixed a
	NullPointerException that occurred when a property represented by
	tags was selected in the advanced mode.

2004-07-26 10:49  mhall

	* weka/build.xml (1.16): src jar now includes gif images

2004-07-23 19:32  akibriya

	* weka/gui/GUIChooser.java (1.14): Added a dialog box to let the
	user know that application has run out of memory. Also removed code
	for checking if Swing is present or not, since minimum requirement
	for current version of Weka is now JDK1.4.

2004-07-23 19:05  akibriya

	* weka/gui/beans/KnowledgeFlow.java (1.23): Now the gui would come
	up with an error dialog, if the application runs out of memroy.

2004-07-23 19:02  akibriya

	* weka/gui/experiment/Experimenter.java (1.8): Now the gui shows an
	error dialog if the application runs out of memory.

2004-07-23 19:00  akibriya

	* weka/gui/explorer/Explorer.java (1.30): Now the gui would come up
	with an error dialog if the application runs out of memory.

2004-07-23 12:32  mhall

	* weka/classifiers/evaluation/ThresholdCurve.java (1.18): Fixed bug
	in ThresholdCurve, which resulted in one instance being on the
	wrong side of the threshold.

2004-07-19 11:17  mhall

	* weka/gui/beans/: CrossValidationFoldMaker.java (1.7),
	IncrementalClassifierEvaluator.java (1.9), TestSetMaker.java (1.3),
	TrainTestSplitMaker.java (1.5), TrainingSetMaker.java (1.3): Now
	uses latest icons from Jeffrey

2004-07-19 11:16  mhall

	* weka/gui/beans/icons/: ClassAssigner.gif (1.2),
	ClassAssigner_animated.gif (1.2), ClassValuePicker.gif (1.2),
	ClassValuePicker_animated.gif (1.2),
	ClassifierPerformanceEvaluator.gif (1.2),
	ClassifierPerformanceEvaluator_animated.gif (1.2),
	CrossValidationFoldMaker.gif (1.1),
	CrossValidationFoldMaker_animated.gif (1.1),
	IncrementalClassifierEvaluator.gif (1.1),
	IncrementalClassifierEvaluator_animated.gif (1.1),
	PredictionAppender.gif (1.2), PredictionAppender_animated.gif
	(1.2), TestSetMaker.gif (1.1), TestSetMaker_animated.gif (1.1),
	TrainTestSplitMaker.gif (1.1), TrainTestSplitMaker_animated.gif
	(1.1), TrainingSetMaker.gif (1.1), TrainingSetMaker_animated.gif
	(1.1): More new icons from Jeffrey

2004-07-19 10:37  mhall

	* weka/gui/beans/icons/:
	filters.unsupervised.attribute.NumericTransform.gif (1.1),
	filters.unsupervised.attribute.NumericTransform_animated.gif (1.1),
	filters.unsupervised.attribute.Obfuscate.gif (1.1),
	filters.unsupervised.attribute.Obfuscate_animated.gif (1.1),
	filters.unsupervised.attribute.PKIDiscretize.gif (1.1),
	filters.unsupervised.attribute.PKIDiscretize_animated.gif (1.1),
	filters.unsupervised.attribute.RandomProjection.gif (1.1),
	filters.unsupervised.attribute.RandomProjection_animated.gif (1.1),
	filters.unsupervised.attribute.Remove.gif (1.1),
	filters.unsupervised.attribute.RemoveType.gif (1.1),
	filters.unsupervised.attribute.RemoveType_animated.gif (1.1),
	filters.unsupervised.attribute.RemoveUseless.gif (1.1),
	filters.unsupervised.attribute.RemoveUseless_animated.gif (1.1),
	filters.unsupervised.attribute.Remove_animated.gif (1.1),
	filters.unsupervised.attribute.ReplaceMissingValues.gif (1.1),
	filters.unsupervised.attribute.ReplaceMissingValues_animated.gif
	(1.1), filters.unsupervised.attribute.Standardize.gif (1.1),
	filters.unsupervised.attribute.Standardize_animated.gif (1.1),
	filters.unsupervised.attribute.StringToNominal.gif (1.1),
	filters.unsupervised.attribute.StringToNominal_animated.gif (1.1),
	filters.unsupervised.attribute.StringToWordVector.gif (1.1),
	filters.unsupervised.attribute.StringToWordVector_animated.gif
	(1.1), filters.unsupervised.attribute.SwapValues.gif (1.1),
	filters.unsupervised.attribute.SwapValues_animated.gif (1.1),
	filters.unsupervised.attribute.TimeSeriesDelta.gif (1.1),
	filters.unsupervised.attribute.TimeSeriesDelta_animated.gif (1.1),
	filters.unsupervised.attribute.TimeSeriesTranslate.gif (1.1),
	filters.unsupervised.attribute.TimeSeriesTranslate_animated.gif
	(1.1), filters.unsupervised.instance.NonSparseToSparse.gif (1.1),
	filters.unsupervised.instance.NonSparseToSparse_animated.gif (1.1),
	filters.unsupervised.instance.Normalize.gif (1.1),
	filters.unsupervised.instance.Normalize_animated.gif (1.1),
	filters.unsupervised.instance.Randomize.gif (1.1),
	filters.unsupervised.instance.Randomize_animated.gif (1.1),
	filters.unsupervised.instance.RemoveFolds.gif (1.1),
	filters.unsupervised.instance.RemoveFolds_animated.gif (1.1),
	filters.unsupervised.instance.RemoveMisclassified.gif (1.1),
	filters.unsupervised.instance.RemoveMisclassified_animated.gif
	(1.1), filters.unsupervised.instance.RemovePercentage.gif (1.1),
	filters.unsupervised.instance.RemovePercentage_animated.gif (1.1),
	filters.unsupervised.instance.RemoveRange.gif (1.1),
	filters.unsupervised.instance.RemoveRange_animated.gif (1.1),
	filters.unsupervised.instance.RemoveWithValues.gif (1.1),
	filters.unsupervised.instance.RemoveWithValues_animated.gif (1.1),
	filters.unsupervised.instance.Resample.gif (1.1),
	filters.unsupervised.instance.Resample_animated.gif (1.1),
	filters.unsupervised.instance.SparseToNonSparse.gif (1.1),
	filters.unsupervised.instance.SparseToNonSparse_animated.gif (1.1):
	More new icons from Jeffrey

2004-07-15 16:57  mhall

	* weka/clusterers/SimpleKMeans.java (1.17): Fixed bug in selection
	of initial centers

2004-07-09 11:25  trigg

	* weka/filters/unsupervised/attribute/ChangeDateFormat.java (1.1):
	First version.

2004-07-08 20:47  akibriya

	* weka/gui/AttributeVisualizationPanel.java (1.17): Fixed a number
	of bugs. And, extensively commented the code.

2004-07-07 15:15  marku

	* weka/core/SingleIndex.java (1.5): Changed JML specs to avoid
	empty string problems

2004-07-07 15:09  marku

	* weka/core/: Range.java (1.13), SingleIndex.java (1.4): Added more
	JML specs

2004-07-07 11:36  marku

	* weka/core/: FastVector.java (1.11), Instances.java (1.57): Added
	more JML specs.

2004-07-02 14:17  akibriya

	* weka/gui/graphvisualizer/: LayoutCompleteEvent.java (1.2),
	LayoutCompleteEventListener.java (1.3), LayoutEngine.java (1.3):
	Fixed indentation so that the code is indented with just two spaces
	like the rest of WEKA classes. Also made the code to fit in 80
	column space.

2004-07-02 14:14  akibriya

	* weka/gui/graphvisualizer/: BIFFormatException.java (1.2),
	BIFParser.java (1.3), DotParser.java (1.2), GraphConstants.java
	(1.3), GraphEdge.java (1.2), GraphNode.java (1.2),
	GraphVisualizer.java (1.3), HierarchicalBCEngine.java (1.3): Fixed
	indentation so that the code is indented with just two spaces like
	the rest of WEKA classes. Also made the code to fit in 80 column
	space.

2004-06-30 17:50  marku

	* weka/core/SingleIndex.java (1.3): JML: removed the
	m_IndexString.equals("") specs that ESCJava/2 does not handle.

2004-06-30 17:48  marku

	* weka/core/Instance.java (1.17): JML: strengthened specs of
	insertAttributeAt, numValues and numAttributes

2004-06-30 17:46  marku

	* weka/core/Attribute.java (1.31): JML specs: note that copy
	returns an Attribute

2004-06-30 17:45  marku

	* weka/core/Utils.java (1.43): JML specs: noted that getOption
	never returns null

2004-06-30 10:27  marku

	* weka/core/Instances.java (1.56): Strengthened the specification
	of the relationName() query method and made m_RelationName spec
	public.
	
	Disabled the invariant of m_Attributes, because ESC/Java2 is
	checking it before several protected methods, when it is not true. 
	These should perhaps be labelled as 'helper' methods.

2004-06-30 10:19  eibe

	* weka/: classifiers/Evaluation.java (1.52),
	experiment/ClassifierSplitEvaluator.java (1.20): Committed patches
	provided by Julien Prados that add options to the
	ClassifierSplitEvaluator. These make it possible to output an
	instance identifier and predictions+expected target.

2004-06-29 12:54  marku

	* weka/core/SingleIndex.java (1.2): Added quite precise JML
	specifications.

2004-06-25 17:13  eibe

	* weka/: experiment/CSVResultListener.java (1.10),
	experiment/InstancesResultListener.java (1.8),
	gui/experiment/Experimenter.java (1.7),
	gui/experiment/ResultsPanel.java (1.28),
	gui/experiment/RunPanel.java (1.18),
	gui/experiment/SimpleSetupPanel.java (1.5): Madness averted, only
	just...

2004-06-24 17:34  eibe

	* weka/: experiment/CSVResultListener.java (1.9),
	experiment/Experiment.java (1.20),
	experiment/InstancesResultListener.java (1.7),
	gui/experiment/SimpleSetupPanel.java (1.4): The SimpleSetupPanel
	will now write to a temporary file if the file name is left blank.
	Unfortunately if will currently generate many more temporary files
	than necessary. This should be fixed at some stage.

2004-06-23 16:45  marku

	* weka/core/Instances.java (1.55): Made m_Attributes spec_public
	and strengthened some postconditions.

2004-06-23 10:31  marku

	* weka/core/Instances.java (1.54): Strengthened m_Attributes
	entries to be non-null

2004-06-22 17:21  eibe

	* weka/: experiment/PairedTTester.java (1.21),
	gui/experiment/ResultsPanel.java (1.27): Got rid off useless button
	in ResultsPanel.

2004-06-18 11:44  mhall

	* weka/associations/PriorEstimation.java (1.2): Made serializable

2004-06-18 11:33  mhall

	* weka/gui/beans/: Loader.java (1.9), LoaderCustomizer.java (1.6):
	Changed to use new interfaces in the converters package

2004-06-18 11:32  mhall

	* weka/core/converters/: ArffLoader.java (1.8), C45Loader.java
	(1.8), CSVLoader.java (1.8), SerializedInstancesLoader.java (1.8):
	Changed to use new interfaces

2004-06-18 11:32  mhall

	* weka/core/converters/: BatchLoader.java (1.3),
	IncrementalLoader.java (1.3): No longer needed - superceeded by
	Batch/IncrementalConverter

2004-06-18 11:29  mhall

	* weka/core/converters/: AbstractSaver.java (1.1), ArffSaver.java
	(1.1), BatchConverter.java (1.1), C45Saver.java (1.1),
	CSVSaver.java (1.1), FileSourcedConverter.java (1.1),
	IncrementalConverter.java (1.1), Saver.java (1.1),
	SerializedInstancesSaver.java (1.1): Initial import

2004-06-18 11:17  mhall

	* weka/: associations/classification/CARuleMiner.java (1.2),
	associations/classification/CarApriori.java (1.2),
	associations/classification/CarPredictiveApriori.java (1.2),
	classifiers/rules/car/JCBA.java (1.3),
	classifiers/rules/car/WeightedClassifier.java (1.2),
	gui/GenericObjectEditor.props (1.102),
	gui/experiment/AlgorithmListPanel.java (1.6),
	gui/explorer/ClassifierPanel.java (1.76): Some changes to allow
	easier editing of CAR mining properties

2004-06-17 10:48  eibe

	* weka/classifiers/meta/LogitBoost.java (1.32): Updated link to
	paper.

2004-06-17 08:11  eibe

	* weka/gui/explorer/PreprocessPanel.java (1.49): Eliminated some
	redundant code.

2004-06-17 08:11  eibe

	* weka/core/Range.java (1.12): Range now throws an exception if an
	index is too large.

2004-06-16 16:46  marku

	* weka/core/Utils.java (1.42): Disabled one JML declaration to
	avoid ESC/Java errors.

2004-06-15 16:14  marku

	* weka/core/: Attribute.java (1.30), FastVector.java (1.10),
	Instance.java (1.16), Instances.java (1.53), OptionHandler.java
	(1.7), Queue.java (1.7), Utils.java (1.41): Added JML (Java
	Modelling Language) specifications to some methods.  Queue.java has
	quite precise pre/postconditions, and the static   analysis tool
	ESCJava-2.0a6 passes with no warnings.	The others mostly just have
	a few preconditions and pure/non_null decls.

2004-06-15 15:21  eibe

	* weka/filters/unsupervised/instance/Normalize.java (1.2): Fixed a
	couple of bugs affecting option settings and command-line
	use. Normalize.java

2004-06-15 14:22  mhall

	* weka/classifiers/rules/car/JCBA.java (1.2): Fixed a couple of tip
	texts

2004-06-15 14:16  mhall

	* weka/gui/GenericObjectEditor.props (1.101): Added CARs

2004-06-15 14:11  mhall

	* weka/classifiers/rules/car/: CarClassifier.java (1.1), JCBA.java
	(1.1), WeightedClassifier.java (1.1), utils/Stopwatch.java (1.1):
	Initial import

2004-06-15 14:07  mhall

	* weka/associations/: Apriori.java (1.17), Associator.java (1.5),
	ItemSet.java (1.9): Mods to accomodate CARs

2004-06-15 14:07  mhall

	* weka/associations/: AprioriItemSet.java (1.1),
	PredictiveApriori.java (1.1), PriorEstimation.java (1.1),
	RuleGeneration.java (1.1), RuleItem.java (1.1),
	classification/CARuleMiner.java (1.1),
	classification/CaRuleGeneration.java (1.1),
	classification/CarApriori.java (1.1),
	classification/CarPredictiveApriori.java (1.1),
	classification/CrList.java (1.1), classification/CrListElement.java
	(1.1), classification/CrNode.java (1.1), classification/CrTree.java
	(1.1), classification/JCBAPruning.java (1.1),
	classification/LabeledItemSet.java (1.1),
	classification/PrecedencePruning.java (1.1),
	classification/PruneCAR.java (1.1): Initial import

2004-06-11 16:58  eibe

	* weka/filters/supervised/attribute/NominalToBinary.java (1.3):
	Committed new version with Peter's extra option.

2004-06-11 16:43  eibe

	* weka/gui/explorer/ClassifierPanel.java (1.75): Can now output
	predictions for evaluation on training data, cross-validation, and
	train/test split

2004-06-11 15:48  eibe

	* weka/core/Instances.java (1.52): Deleted final modifier from
	methods and made all private methods protected.

2004-06-09 11:58  eibe

	* weka/classifiers/bayes/AODE.java (1.8): New version of AODE that
	deals correctly with missing values. (Janice Boughton)

2004-06-03 13:31  eibe

	* weka/classifiers/functions/: SMO.java (1.51), SMOreg.java (1.2):
	Fixed bug in output of sparse linear machines (class index was not
	dealt with correctly (thanks, Bernhard)).

2004-06-01 15:28  mhall

	* weka/gui/explorer/ClustererPanel.java (1.44): Fixed bug in
	classes to clusters evaluation that resulted from changes in the
	PreprocessPanel

2004-06-01 14:49  mhall

	* weka/gui/beans/: Classifier.java (1.14),
	ClassifierPerformanceEvaluator.java (1.8): Improvements to results
	output

2004-06-01 14:17  mhall

	* weka/gui/beans/: Classifier.java (1.13), GraphEvent.java (1.3),
	GraphViewer.java (1.6): GraphViewer now handles bayes net graphs,
	thanks to Stefan Mutter

2004-05-25 09:29  mhall

	* weka/build.xml (1.15): Missed out some bayes net subpackages in
	the doc target

